<?php 
// ================================================
// SPAW PHP WYSIWYG editor control
// ================================================
// Configuration file
// ================================================
// Developed: Alan Mendelevich, alan@solmetra.lt
// Copyright: Solmetra (c)2003 All rights reserved.
// ------------------------------------------------
// www.solmetra.com
// ================================================
// v.1.0, 2003-03-27
// ================================================

include_once XOOPS_ROOT_PATH . '/mainfile.php';

//Do not touch these settings or you will bugger up the editor!!!!!
global $xoopsConfig, $xoopsDB, $myts;

$myts = &MyTextSanitizer::getInstance();

if ( file_exists( XOOPS_ROOT_PATH."/modules/spaw/language/" . $xoopsConfig['language'] . "/admin.php" ) ) {
    include_once XOOPS_ROOT_PATH."/modules/spaw/language/" . $xoopsConfig['language'] . "/admin.php";
}else if ( file_exists( XOOPS_ROOT_PATH."/modules/spaw/language/english/admin.php" ) ) {
    include_once XOOPS_ROOT_PATH."/modules/spaw/language/english/admin.php";
} 
//Spaw main url
$spaw_dir = XOOPS_URL . "/modules/spaw/";
// base url for images
$spaw_base_url = XOOPS_URL . "/modules/spaw/";
$spaw_root = XOOPS_ROOT_PATH . "/modules/spaw/";
//Spaw Theme settings
$spaw_default_toolbars = "classic";
$spaw_default_theme = "default";
$spaw_default_lang = "en";
$spaw_default_css_stylesheet = $spaw_dir . "wysiwyg.css";
// Do not touch end

// add javascript inline or via separate file
$spaw_inline_js = true;
// use active toolbar (reflecting current style) or static
$spaw_active_toolbar = false;

// default dropdown content
$spaw_dropdown_data["style"]["default"] = _AM_WNORMAL;
$spaw_dropdown_data["font"]["Arial"] = "Arial";
$spaw_dropdown_data["font"]["Arial Black"] = "Arial Black";
$spaw_dropdown_data["font"]["Arial Narrow"] = "Arial Narrow";
$spaw_dropdown_data["font"]["Book Antiqua"] = "Book Antiqua";
$spaw_dropdown_data["font"]["Bookman Old Style"] = "Bookman Old Style";
$spaw_dropdown_data["font"]["Century Gothic"] = "Century Gothic";
$spaw_dropdown_data["font"]["Courier"] = "Courier";
$spaw_dropdown_data["font"]["Comic Sans MS"] = "Comic Sans MS";
$spaw_dropdown_data["font"]["Courier New"] = "Courier New";
$spaw_dropdown_data["font"]["Fixedsys"] = "Fixedsys";
$spaw_dropdown_data["font"]["Garamond"] = "Garamond";
$spaw_dropdown_data["font"]["Impact"] = "Impact";
$spaw_dropdown_data["font"]["Lucida Console"] = "Lucida Console";
$spaw_dropdown_data["font"]["Modern"] = "Modern";
$spaw_dropdown_data["font"]["monospace"] = "monospace";
$spaw_dropdown_data["font"]["MS Sans Serif"] = "MS Sans Serif";
$spaw_dropdown_data["font"]["MS Serif"] = "MS Serif";
$spaw_dropdown_data["font"]["sans-serif"] = "sans-serif";
$spaw_dropdown_data["font"]["serif"] = "serif";
$spaw_dropdown_data["font"]["System"] = "System";
$spaw_dropdown_data["font"]["Tahoma"] = "Tahoma";
$spaw_dropdown_data["font"]["Terminal"] = "Terminal";
$spaw_dropdown_data["font"]["Trebuchet MS"] = "Trebuchet MS";
$spaw_dropdown_data["font"]["Verdana"] = "Verdana";
$spaw_dropdown_data["font"]["Webdings"] = "Webdings";
// Spaw styles
$spaw_dropdown_data["style"]["default"] = _AM_WNOSTYLES;
$spaw_dropdown_data["style"]["style1"] = _AM_DROPSTYLE1;
$spaw_dropdown_data["style"]["style2"] = _AM_DROPSTYLE2;

for ( $i = 1; $i < 6; $i++ )
{
    $spaw_dropdown_data["fontsize"][$i] = $i;
} 

for ( $i = 1; $i < 5; $i++ )
{
    $spaw_dropdown_data["paragraph"]["<h" . $i . ">"] = "Heading " . $i . "";
} 
// $spaw_dropdown_data["paragraph"][""] = _AM_DROPNORM;
$spaw_dropdown_data["paragraph"]["<address>"] = _AM_DROPADD;
$spaw_dropdown_data["paragraph"]["<dd>"] = _AM_DROPDEF1;
$spaw_dropdown_data["paragraph"]["<dt>"] = _AM_DROPDEF2;
$spaw_dropdown_data["paragraph"]["<ol>"] = _AM_DROPNUMB;
$spaw_dropdown_data["paragraph"]["<dir>"] = _AM_DROPDIR;
$spaw_dropdown_data["paragraph"]["<ul>"] = _AM_DROPBULL;
$spaw_dropdown_data["paragraph"]["<menu>"] = _AM_DROPMENU;
$spaw_dropdown_data["paragraph"]["<pre>"] = _AM_DROPFORM;
$spaw_dropdown_data["paragraph"]["<menu>"] = _AM_DROPMELI;

$result2 = $xoopsDB -> query( "SELECT articleid, title FROM " . $xoopsDB -> prefix( "wfs_article" ) . " ORDER BY title" );
while ( $query_data = $xoopsDB -> fetcharray( $result2 ) )
{
    $spaw_title = $query_data["title"];
    if (empty($spaw_title)) {
		$spaw_title = _AM_DROPNOTITLE;
	}
    if ( strlen( $spaw_title ) >= 25 )
    {
        $spaw_title2 = xoops_substr($spaw_title, 0, 32, '....');
    } else {
		$spaw_title2 = $myts->htmlSpecialChars(trim($spaw_title));
	}
	$spaw_title = ucwords(strtolower($spaw_title));
	$spaw_title2 = ucwords(strtolower($spaw_title2));
	$spaw_dropdown_data["insert_article"]["<a href=/modules/wfsection/article.php?articleid=" . $query_data["articleid"] . ">" . $myts->htmlSpecialChars(trim($spaw_title)) . "</a>"] = $myts->htmlSpecialChars(trim($spaw_title2));
} 

$result3 = $xoopsDB -> query( "SELECT storyid, title FROM " . $xoopsDB -> prefix( "stories" ) . " ORDER BY title" );
while ( $query_data = $xoopsDB -> fetcharray( $result3 ) )
{
    $spaw_title = $query_data["title"];
    if (empty($spaw_title)) {
		$spaw_title = _AM_DROPNOTITLE;
	}
	if ( strlen( $spaw_title ) >= 25 )
    {
        $spaw_title2 = xoops_substr($spaw_title, 0, 32, '....');
    } else {
		$spaw_title2 = $myts->htmlSpecialChars(trim($spaw_title));
	}
    $spaw_title = ucwords(strtolower($spaw_title));
	$spaw_title2 = ucwords(strtolower($spaw_title2));
	$spaw_dropdown_data["insert_news"]["<a href=/modules/news/article.php?storyid=" . trim($query_data["storyid"]) . ">" . $myts->htmlSpecialChars(trim($spaw_title))  . "</a>"] = $myts->htmlSpecialChars(trim($spaw_title2));
}
// image library related config
// allowed extentions for uploaded image files
$spaw_valid_imgs = array( "gif", "jpg", "jpeg", "png", "psd", "bmp" );

// allow upload in image library
$spaw_upload_allowed = true;
$rootpath = XOOPS_ROOT_PATH;

// image libraries
$spaw_imglibs = array( 

    array( "value" => "/modules/news/images/",
        "text" => "News: Main Images", 
        ),
    array( "value" => "/modules/news/images/topics/",
        "text" => "News: Section Images", 
        ),
    array( "value" => "/modules/mydownloads/images/",
        "text" => "Downloads: Main Images", 
        ),
    array( "value" => "/modules/mydownloads/images/shots/",
        "text" => "Downloads: Screenshot Images", 
        ),
    array( "value" => "/modules/mydownloads/images/category/",
        "text" => "Downloads: Category Images", 
        ),
    array( "value" => "/modules/mylinks/images/",
        "text" => "Links: Main Images", 
        ),
    array( "value" => "/modules/sections/images/",
        "text" => "Sections: Screenshot Images", 
        ),
    array( "value" => "/modules/wfsection/images/",
        "text" => "WF-Sections: Main Images", 
        ),
    array( "value" => "/modules/wfsection/images/article/",
        "text" => "WF-Sections: Article Images", 
        ),
    array( "value" => "/modules/wfsection/images/category/",
        "text" => "WF-Sections: Category Images", 
        ),
    array( "value" => "/modules/wfchannel/images/",
        "text" => "WF-Channel:", 
        ),
    array( "value" => "/uploads/",
        "text" => "Xoops Upload images",
		),
	array( "value" => "/images/articles/",
        "text" => "News/WFSection Images"
        ), 

    );
?>
